## PrintingSystem

PrintingSystem

## Synopsis

    #include <libxfprint/libxfprint.h>

    struct              PrintingSystem;
    PrintingSystem*     printing_system_new                 (const gchar *path);
    GList*              printing_system_get_printers        (PrintingSystem *ps);
    Printer*            printing_system_get_default_printer (PrintingSystem *ps);
    gint                printing_system_get_printer_state   (PrintingSystem *ps,
                                                             const gchar *printer);
    gint                printing_system_get_jobs_count      (PrintingSystem *ps,
                                                             const gchar *printer);
    gboolean            printing_system_remove_job          (PrintingSystem *ps,
                                                             const gchar *printer,
                                                             gint id);
    GList*              printing_system_get_jobs            (PrintingSystem *ps,
                                                             const gchar *printer);
    gboolean            printing_system_print_file          (PrintingSystem *ps,
                                                             const gchar *printer,
                                                             const gchar *original_name,
                                                             const gchar *file,
                                                             gboolean remove_file);
    void                printing_system_customize_printer_list_window
                                                            (PrintingSystem *ps,
                                                             PrinterListWindow *win);
    void                printing_system_customize_printer_queue_window
                                                            (PrintingSystem *ps,
                                                             PrinterQueueWindow *win);

## Object Hierarchy

      GObject
       +----PrintingSystem

## Properties

      "ps-path"                  gchar*                : Read / Write / Construct Only

## Description

## Details

### struct PrintingSystem

    struct PrintingSystem;

### printing_system_new ()

    PrintingSystem*     printing_system_new                 (const gchar *path);

`path` : |
Returns : |

### printing_system_get_printers ()

    GList*              printing_system_get_printers        (PrintingSystem *ps);

`ps` : |
Returns : |

### printing_system_get_default_printer ()

    Printer*            printing_system_get_default_printer (PrintingSystem *ps);

`ps` : |
Returns : |

### printing_system_get_printer_state ()

    gint                printing_system_get_printer_state   (PrintingSystem *ps,
                                                             const gchar *printer);

`ps` : |
`printer` : |
Returns : |

### printing_system_get_jobs_count ()

    gint                printing_system_get_jobs_count      (PrintingSystem *ps,
                                                             const gchar *printer);

`ps` : |
`printer` : |
Returns : |

### printing_system_remove_job ()

    gboolean            printing_system_remove_job          (PrintingSystem *ps,
                                                             const gchar *printer,
                                                             gint id);

`ps` : |
`printer` : |
`id` : |
Returns : |

### printing_system_get_jobs ()

    GList*              printing_system_get_jobs            (PrintingSystem *ps,
                                                             const gchar *printer);

`ps` : |
`printer` : |
Returns : |

### printing_system_print_file ()

    gboolean            printing_system_print_file          (PrintingSystem *ps,
                                                             const gchar *printer,
                                                             const gchar *original_name,
                                                             const gchar *file,
                                                             gboolean remove_file);

`ps` : |
`printer` : |
`original_name` : |
`file` : |
`remove_file` : |
Returns : |

### printing_system_customize_printer_list_window ()

    void                printing_system_customize_printer_list_window
                                                            (PrintingSystem *ps,
                                                             PrinterListWindow *win);

`ps` : |
`win` : |

### printing_system_customize_printer_queue_window ()

    void                printing_system_customize_printer_queue_window
                                                            (PrintingSystem *ps,
                                                             PrinterQueueWindow *win);

`ps` : |
`win` : |

## Property Details

### The `"ps-path"` property

      "ps-path"                  gchar*                : Read / Write / Construct Only

set the printing system path.

Default value: NULL